SDL_FILE(3)

NAME
SDL_FILE - A macro that reports the current file being compiled.

SYNOPSIS
#include <SDL3/SDL_assert.h>

#define SDL_FILE    __FILE_NAME__

DESCRIPTION
This macro is only defined if it isn't already defined, so to override it (perhaps with something that doesn't provide path information at all, so build machine information doesn't leak into public binaries), apps can define this macro before including SDL.h or SDL_assert.h.

AVAILABILITY
This macro is available since SDL 3.2.0.